#include "testlib.h"
#include <string>

/*
 * Аргументы (Обязательные): <длина S> <длина K>
 * Дополнительные: <вес для S> <вес для K> [если есть вес, то - rnd(1, n)]
 * Тест:
 * Никаких ограничений, кроме длин
*/

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    int length_s = opt<int>(2);
    int length_k = opt<int>(3);
    if (argc > 4) {
        length_s = rnd.wnext(1, length_s + 1,  opt<int>(4));
    }
    if (argc > 5) {
        length_k = rnd.wnext(1, length_k + 1,  opt<int>(5));
    }
    std::string original = rnd.next("[a-zA-Z]{%d}", length_s);
    std::cout << original << '\n';
    std::cout << rnd.next("[a-zA-Z]{%d}", length_k) << std::endl;
}