#include "testlib.h"
#include <string>

/*
 * Аргументы (Обязательные): <длина S> <длина K>
 * Дополнительные: <вес для S> <вес для K> [если есть вес, то - rnd(1, n)]
 * Тест:
 * Строка K состоит только из символов S
*/

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    int length_s = opt<int>(2);
    int length_k = opt<int>(3);
    if (argc > 4) {
        length_s = rnd.wnext(length_s + 1,  opt<int>(4));
    }
    if (argc > 5) {
        length_k = rnd.wnext(length_k + 1,  opt<int>(5));
    }
    std::string original = rnd.next("[a-zA-Z]{%d}", length_s);
    std::cout << original << '\n';
    std::string uniq;
    std::vector<bool> used(128, false);
    int temp = 0;
    for (int i = 0; i < length_s; ++i) {
        if (!used[original[i]]) {
            used[original[i]] = true;
            uniq += original[i];
            --temp;
            if (!temp) {
                break;
            }
        }
    }
    std::cout << rnd.next("[%s]{%d}", uniq.c_str(), length_k) << std::endl;
}