#include "testlib.h"
#include <string>

/*
 * Аргументы (Обязательные): <длина S> <длина K>
 * Дополнительные: <вес для S> <вес для K> [если есть вес, то - rnd(1, n)]
 * Тест: Ответ 0. Первый символ k не встречается в строке S
*/

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    int length_s = opt<int>(2);
    int length_k = opt<int>(3);
    if (argc > 4) {
        length_s = rnd.wnext(length_s,  opt<int>(4));
    }
    if (argc > 5) {
        length_k = rnd.wnext(length_k,  opt<int>(5));
    }
    char notUse = rnd.next("[a-zA-Z]")[0];
    std::string lRe = "a-z", uRe = "A-Z";
    if (notUse == 'a') {
        lRe = "b-z";
    } else if (notUse == 'b') {
        lRe = "ac-z";
    } else if (notUse == 'y') {
        lRe = "a-xz";
    } else if (notUse == 'z') {
        lRe = "a-y";
    } else if ('b' < notUse && notUse < 'y'){
        lRe = "a-";
        lRe += notUse - 1;
        lRe += notUse + 1;
        lRe += "-z";
    }
    if (notUse == 'A') {
        uRe = "B-Z";
    } else if (notUse == 'B') {
        uRe = "AC-Z";
    } else if (notUse == 'Y') {
        uRe = "A-XZ";
    } else if (notUse == 'z') {
        uRe = "A-Y";
    } else if ('B' < notUse && notUse < 'Y'){
        uRe = "A-";
        uRe += notUse - 1;
        uRe += notUse + 1;
        uRe += "-Z";
    }

    std::string original = rnd.next("[%s%s]{%d}", lRe.c_str(), uRe.c_str(), length_s);
//    std::string original = rnd.next("[^%s][a-zA-Z]{%d}", notUse, length_s);
    std::cout << original << '\n';
    std::cout << notUse << rnd.next("[a-zA-Z]{%d}", length_k - 1) << std::endl;
}